data:extend({

{
    type = "recipe",
    name = "fd-distillation-column",
    energy_required = 20,
    ingredients =
    {
      {"steel-plate", 20},
      {"iron-gear-wheel", 15},
      {"advanced-circuit", 5},
      {"pipe", 15},
	  {"steel-furnace", 1}
    },
    result = "fd-distillation-column",
    enabled = false
  },
  {
    type = "recipe",
    name = "fd-heavy-fractional-distillation",
    category = "fd-distillation",
    enabled = false,
    energy_required = 5,
    ingredients =
    {
      {type="fluid", name="heavy-oil", amount=10}
    },
    results=
    {
      {type="fluid", name="fd-bitumen", amount=5},
      {type="fluid", name="fd-fuel-oil", amount=2.5},
      {type="fluid", name="lubricant", amount=3.5}
    },
    icon = "__fractional-distillation__/graphics/fractional-distillation-column/heavy-fractional-distillation.png",
    subgroup = "fluid-recipes",
    order = "a[oil-processing]-c[fractional-distillation]"
  },
  {
    type = "recipe",
    name = "fd-light-fractional-distillation",
    category = "fd-distillation",
    enabled = false,
    energy_required = 5,
    ingredients =
    {
      {type="fluid", name="light-oil", amount=10}
    },
    results=
    {
      {type="fluid", name="fd-kerosene", amount=4.5},
      {type="fluid", name="fd-fuel-oil", amount=1},
      {type="fluid", name="fd-diesel", amount=5.5}
    },
    icon = "__fractional-distillation__/graphics/fractional-distillation-column/light-fractional-distillation.png",
    subgroup = "fluid-recipes",
    order = "a[oil-processing]-c[fractional-distillation]"
  },
  {
    type = "recipe",
    name = "fd-gas-fractional-distillation",
    category = "fd-distillation",
    enabled = false,
    energy_required = 5,
    ingredients =
    {
      {type="fluid", name="petroleum-gas", amount=10}
    },
    results=
    {
      {type="fluid", name="fd-naptha", amount=7},
      {type="fluid", name="fd-petrol", amount=1.5},
      {type="fluid", name="fd-refinery-gases", amount=2}
    },
    icon = "__fractional-distillation__/graphics/fractional-distillation-column/gas-fractional-distillation.png",
    subgroup = "fluid-recipes",
    order = "a[oil-processing]-c[fractional-distillation]"
  },
  {
    type = "recipe",
    name = "fd-solid-fuel-from-fuel-oil",
    category = "chemistry",
    energy_required = 2.5,
    ingredients =
    {
      {type="fluid", name="fd-fuel-oil", amount=3}
    },
    results=
    {
      {type="item", name="solid-fuel", amount=4}
    },
    icon = "__fractional-distillation__/graphics/solid-fuel-from-fuel-oil.png",
    subgroup = "fluid-recipes",
    enabled = false,
    order = "b[fluid-chemistry]-d[solid-fuel-from-fuel-oil]"
  },
  {
    type = "recipe",
    name = "fd-raw-iron",
    category = "crafting-with-fluid",
	energy_required = 1.5,
    enabled = false,
    ingredients =
    {
      {"iron-ore", 4},
      {type="fluid", name="fd-naptha", amount=0.5},
    },
    result = "fd-raw-iron",
	result_count = 5
  },
  {
    type = "recipe",
    name = "fd-raw-copper",
    category = "crafting-with-fluid",
	energy_required = 1.5,
    enabled = false,
    ingredients =
    {
      {"copper-ore", 4},
      {type="fluid", name="fd-naptha", amount=0.5},
    },
    result = "fd-raw-copper",
	result_count = 5
  },
  {
    type = "recipe",
    name = "fd-raw-iron-smelting",
    category = "smelting",
    enabled = false,
    energy_required = 2.5,
    ingredients = {{"fd-raw-iron", 1}},
    result = "iron-plate",
	icon = "__fractional-distillation__/graphics/iron-plate-from-raw-iron.png"
  },
  {
    type = "recipe",
    name = "fd-raw-copper-smelting",
    category = "smelting",
    enabled = false,
    energy_required = 2.5,
    ingredients = {{"fd-raw-copper", 1}},
    result = "copper-plate",
	icon = "__fractional-distillation__/graphics/copper-plate-from-raw-copper.png"
  },
  {
    type = "recipe",
    name = "fd-flame-thrower-ammo-petrol",
    category = "chemistry",
	enabled = false,
    energy_required = 2.5,
    ingredients =
    {
      {type="fluid", name="fd-petrol", amount=2.5},
	  {type="item", name="iron-plate", amount=3}
    },
    result = "flame-thrower-ammo",
	icon = "__fractional-distillation__/graphics/flame-thrower-ammo-from-petrol.png"
  },
  {
    type = "recipe",
    name = "fd-flame-thrower-ammo-diesel",
    category = "chemistry",
	enabled = false,
    energy_required = 3.5,
    ingredients =
    {
      {type="fluid", name="fd-diesel", amount=4},
	  {type="item", name="iron-plate", amount=3}
    },
    result = "flame-thrower-ammo",
	icon = "__fractional-distillation__/graphics/flame-thrower-ammo-from-diesel.png"
  },
  {
    type = "recipe",
    name = "fd-flame-thrower-ammo-refinery-gases",
    category = "chemistry",
	enabled = false,
    energy_required = 3.5,
    ingredients =
    {
      {type="fluid", name="fd-refinery-gases", amount=2.5},
	  {type="item", name="iron-plate", amount=3}
    },
    result = "flame-thrower-ammo",
	icon = "__fractional-distillation__/graphics/flame-thrower-ammo-from-refinery-gases.png"
  },
  {
    type = "recipe",
    name = "fd-basic-grenade-from-refinery-gases",
    category = "crafting-with-fluid",
	enabled = false,
    energy_required = 7,
    ingredients =
    {
      {type="fluid", name="fd-refinery-gases", amount=2},
	  {type="item", name="iron-plate", amount=4}
    },
    result = "basic-grenade",
	icon = "__fractional-distillation__/graphics/basic-grenade-from-refinery-gases.png"
  },
  {
    type = "recipe",
    name = "fd-poison-capsule-from-refinery-gases",
    category = "crafting-with-fluid",
	enabled = false,
    energy_required = 7,
    ingredients =
    {
      {type="fluid", name="fd-refinery-gases", amount=2},
	  {"steel-plate", 2},
	  {"electronic-circuit", 3}
    },
    result = "poison-capsule",
	icon = "__fractional-distillation__/graphics/poison-capsule-from-refinery-gases.png"
  },
  {
    type = "recipe",
    name = "fd-road",
    category = "crafting-with-fluid",
	enabled = false,
    energy_required = 2,
    ingredients =
    {
      {type="fluid", name="fd-bitumen", amount=0.5}
    },
    result = "fd-road"
  },
  {
    type = "recipe",
    name = "fd-plastic-from-naptha",
    category = "chemistry",
	enabled = false,
    energy_required = 1.5,
    ingredients =
    {
      {type="fluid", name="fd-naptha", amount=4},
	  {type="item", name="coal", amount=1}
    },
    results = 
	{
		{type="item", name="plastic-bar", amount=4}
	},
	icon = "__fractional-distillation__/graphics/plastic-bar-from-naptha.png"
  },
  {
    type = "recipe",
    name = "fd-sulfur-from-naptha",
    category = "chemistry",
	enabled = false,
    energy_required = 1,
    ingredients =
    {
      {type="fluid", name="fd-naptha", amount=2},
	  {type="fluid", name="water", amount=2}
    },
    results = 
	{
		{type="item", name="sulfur", amount=2}
	},
	icon = "__fractional-distillation__/graphics/sulfur-from-naptha.png"
  },
  {
    type = "recipe",
    name = "fd-explosives-from-refinery-gases",
    category = "chemistry",
	enabled = false,
    energy_required = 4,
    ingredients =
    {
      {type="fluid", name="fd-refinery-gases", amount=2},
	  {type="fluid", name="water", amount=1},
	  {type="item", name="iron-plate", amount=1},
	  {type="item", name="coal", amount=1}
    },
    results = 
	{
		{type="item", name="explosives", amount=2}
	},
	icon = "__fractional-distillation__/graphics/explosives-from-refinery-gases.png"
  },
  {
    type = "recipe",
    name = "fd-fuel-oil-cracking",
    category = "chemistry",
    enabled = false,
    energy_required = 7,
    ingredients =
    {
      {type="fluid", name="water", amount=3},
      {type="fluid", name="fd-fuel-oil", amount=4}
    },
    results=
    {
      {type="fluid", name="fd-refinery-gases", amount=3}
    },
    main_product= "",
    icon = "__fractional-distillation__/graphics/cracking/fuel-oil-cracking.png",
    subgroup = "fluid-recipes",
    order = "b[fluid-chemistry]-c[fuel-oil-cracking]"
  },
  {
    type = "recipe",
    name = "fd-kerosene-cracking",
    category = "chemistry",
    enabled = false,
    energy_required = 7,
    ingredients =
    {
      {type="fluid", name="water", amount=3},
      {type="fluid", name="fd-kerosene", amount=3}
    },
    results=
    {
      {type="fluid", name="fd-naptha", amount=2}
    },
    main_product= "",
    icon = "__fractional-distillation__/graphics/cracking/kerosene-cracking.png",
    subgroup = "fluid-recipes",
    order = "b[fluid-chemistry]-d[kerosene-cracking]"
  },
  {
    type = "recipe",
    name = "fd-diesel-cracking",
    category = "chemistry",
    enabled = false,
    energy_required = 4,
    ingredients =
    {
      {type="fluid", name="water", amount=3},
      {type="fluid", name="fd-diesel", amount=4}
    },
    results=
    {
      {type="fluid", name="fd-petrol", amount=3.5}
    },
    main_product= "",
    icon = "__fractional-distillation__/graphics/cracking/diesel-cracking.png",
    subgroup = "fluid-recipes",
    order = "b[fluid-chemistry]-e[diesel-cracking]"
  }
  })