data:extend({

  {
    type = "technology",
    name = "fd-fractional-distillation",
    icon = "__base__/graphics/technology/oil-processing.png",
    prerequisites = {"advanced-oil-processing"},
    effects = 
	{
      {
        type = "unlock-recipe",
        recipe = "fd-distillation-column"
      },
	  {
		type = "unlock-recipe",
		recipe = "fd-heavy-fractional-distillation"
	},
	{
        type = "unlock-recipe",
        recipe = "fd-light-fractional-distillation"
      },
	  {
        type = "unlock-recipe",
        recipe = "fd-gas-fractional-distillation"
      },
	  {
        type = "unlock-recipe",
        recipe = "fd-solid-fuel-from-fuel-oil"
      }
    },
    unit =
    {
      count = 100,
      ingredients = {{"science-pack-1", 2},
                     {"science-pack-2", 1},
                     {"science-pack-3", 2}},
      time = 45
    },
    order = "d-b"
  },
  {
    type = "technology",
    name = "fd-road-research",
    icon = "__base__/graphics/technology/concrete.png",
    prerequisites = {"fd-fractional-distillation", "concrete"},
    effects = 
	{
	  {
        type = "unlock-recipe",
        recipe = "fd-road"
      }
    },
    unit =
    {
      count = 60,
      ingredients = {{"science-pack-1", 1},
                     {"science-pack-2", 1},
                     {"science-pack-3", 1}},
      time = 30
    },
    order = "d-b"
  },
  {
    type = "technology",
    name = "fd-advanced-fuels",
    icon = "__base__/graphics/technology/oil-processing.png",
    prerequisites = {"fd-fractional-distillation", "fluid-handling"},
    effects = 
	{
	  {
        type = "unlock-recipe",
        recipe = "fd-flame-thrower-ammo-petrol"
      },
	  {
        type = "unlock-recipe",
        recipe = "fd-flame-thrower-ammo-diesel"
      },
	  {},
	  {
        type = "unlock-recipe",
        recipe = "fd-fill-kerosene-canister"
      },
	  {
        type = "unlock-recipe",
        recipe = "fd-fill-diesel-canister"
      },
	  {
        type = "unlock-recipe",
        recipe = "fd-fill-petrol-canister"
      },
	  {
        type = "unlock-recipe",
        recipe = "fd-empty-kerosene-canister"
      },
	  {
        type = "unlock-recipe",
        recipe = "fd-empty-diesel-canister"
      },
	  {
        type = "unlock-recipe",
        recipe = "fd-empty-petrol-canister"
      }
    },
    unit =
    {
      count = 75,
      ingredients = {{"science-pack-1", 1},
                     {"science-pack-2", 2},
                     {"science-pack-3", 1},
					 {"alien-science-pack", 1}},
      time = 30
    },
    order = "d-b"
  },
  {
    type = "technology",
    name = "fd-gaseous-fraction-processing",
    icon = "__base__/graphics/technology/oil-processing.png",
    prerequisites = {"fd-fractional-distillation"},
    effects = 
	{
	  {
        type = "unlock-recipe",
        recipe = "fd-raw-iron"
      },
	  {
        type = "unlock-recipe",
        recipe = "fd-raw-iron-smelting"
      },
	  {
        type = "unlock-recipe",
        recipe = "fd-raw-copper"
      },
	  {
        type = "unlock-recipe",
        recipe = "fd-raw-copper-smelting"
      }
    },
    unit =
    {
      count = 75,
      ingredients = {{"science-pack-1", 1},
                     {"science-pack-2", 2},
                     {"science-pack-3", 1},
					 {"alien-science-pack", 2}},
      time = 45
    },
    order = "d-b"
  },
  {
    type = "technology",
    name = "fd-refinery-gases-weaponry",
    icon = "__base__/graphics/technology/oil-processing.png",
    prerequisites = {"fd-gaseous-fraction-processing", "military-3"},
    effects = 
	{
	  {
		type = "unlock-recipe",
		recipe = "fd-explosives-from-refinery-gases"
	  },
	  {
		type = "unlock-recipe",
		recipe = "fd-flame-thrower-ammo-refinery-gases"
	  },
	  {
		type = "unlock-recipe",
		recipe = "fd-basic-grenade-from-refinery-gases"
	  },
	  {
		type = "unlock-recipe",
		recipe = "fd-poison-capsule-from-refinery-gases"
	  }
    },
    unit =
    {
      count = 100,
      ingredients = {{"science-pack-1", 1},
                     {"science-pack-2", 1},
                     {"science-pack-3", 1},
					 {"alien-science-pack", 1}},
      time = 60
    },
    order = "d-b"
  },
  {
    type = "technology",
    name = "fd-plastics-two",
    icon = "__base__/graphics/technology/plastics.png",
    prerequisites = {"fd-gaseous-fraction-processing", "plastics"},
    effects = 
	{
	  {
		type = "unlock-recipe",
		recipe = "fd-plastic-from-naptha"
	  }
    },
    unit =
    {
      count = 100,
      ingredients = {{"science-pack-1", 1},
                     {"science-pack-2", 1},
                     {"science-pack-3", 1},
					 {"alien-science-pack", 1}},
      time = 60
    },
    order = "d-b"
  },
  {
    type = "technology",
    name = "fd-sulfur-processing-two",
    icon = "__base__/graphics/technology/sulfur-processing.png",
    prerequisites = {"fd-gaseous-fraction-processing", "sulfur-processing"},
    effects = 
	{
	  {
		type = "unlock-recipe",
		recipe = "fd-sulfur-from-naptha"
	  }
    },
    unit =
    {
      count = 100,
      ingredients = {{"science-pack-1", 1},
                     {"science-pack-2", 1},
                     {"science-pack-3", 1},
					 {"alien-science-pack", 1}},
      time = 45
    },
    order = "d-b"
  },
  {
    type = "technology",
    name = "fd-advanced-cracking",
    icon = "__base__/graphics/technology/oil-processing.png",
    prerequisites = {"fd-fractional-distillation"},
    effects = 
	{
	  {
		type = "unlock-recipe",
		recipe = "fd-fuel-oil-cracking"
	  },
	  {
		type = "unlock-recipe",
		recipe = "fd-kerosene-cracking"
	  },
	  {
		type = "unlock-recipe",
		recipe = "fd-diesel-cracking"
	  }
    },
    unit =
    {
      count = 150,
      ingredients = {{"science-pack-1", 1},
                     {"science-pack-2", 1},
                     {"science-pack-3", 1},
					 {"alien-science-pack", 1}},
      time = 25
    },
    order = "d-b"
  }
  })

if data.raw["item"]["empty-canister"] then
	data.raw["technology"]["fd-advanced-fuels"].effects[3] = {type = "unlock-recipe",
														   recipe = "empty-canister"}
else
	data.raw["technology"]["fd-advanced-fuels"].effects[3] = {type = "unlock-recipe",
														   recipe = "fd-canister"}
end
